Command reference
deployments chat
Send a chat message to an agent deployment
deployments chat
Send a chat message to an agent deployment.
deployments chat --message <message>- Calls
POST /v1/agent-deployments/{agentDeploymentId}/runs(SDKsubmitAgentRun),POST /v1/threads(SDKcreateThread),POST /v1/artifacts(SDKcreateArtifactUpload),POST /v1/artifacts/{artifactId}/complete(SDKcompleteArtifactUpload).
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--message | string | yes | Message content | |
--thread | string | Existing thread ID | ||
--agent | string | Agent deployment ID | ||
--file | string (path) | File to attach: PDF, Word (.docx), Excel (.xlsx), CSV, text, Markdown, JSON, HTML, ZIP, or a JPEG, PNG, or WebP image (repeatable, at most 8) |
Also accepts the global flags.